## Index

### Interfaces

- MapperForType

### Type aliases

- FromDbFn
- ToDbFn

## Type aliases

### FromDbFn

FromDbFn: function

- Defined in mapper/for-type/base.mapper.ts:46

Maps an attribute value coming from dynamoDB to an javascript type

#### Type declaration

- - (attributeValue: R, propertyMetadata?: PropertyMetadata<T, R>): T

  - #### Parameters

    - ##### attributeValue: R

    - ##### Optional propertyMetadata: PropertyMetadata<T, R>

    #### Returns T

### ToDbFn

ToDbFn: function

- Defined in mapper/for-type/base.mapper.ts:28

Maps a js value to an attribute value so it can be stored in dynamoDB, supported types are

S(tring) N(umber) B(inary) BOOL NULL S(tring)S(et) N(umber)S(et) B(inary)S(et) L(ist)

#### Type declaration

- - (propertyValue: T, propertyMetadata?: PropertyMetadata<T, R>): R | null

  - #### Parameters

    - ##### propertyValue: T

    - ##### Optional propertyMetadata: PropertyMetadata<T, R>

    #### Returns R | null

Generated using TypeDoc